
QGIS Application - Bug report #3573

Bad layer handler doesn't set project status to dirty

2011-03-08 04:57 PM - Chris Crook

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13633

Description

The bad layer handler is great for fixing up moved or missing files when reloading a project.  But after I've relocated the files and updated

the datasource, the opened project is not marked as "dirty", so if I then exit I don't get prompted to save the changes.

Can this be fixed easily?  Or maybe just put up a message to suggest saving the changes if any are made.

Associated revisions

Revision 635bc69a - 2011-03-10 09:23 PM - Jürgen Fischer

fix #3573 and apply #3570

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15420 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 75da2635 - 2011-03-10 09:23 PM - Jürgen Fischer

fix #3573 and apply #3570

git-svn-id: http://svn.osgeo.org/qgis/trunk@15420 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2011-03-10 12:24 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:75da2635 (SVN r15421).
